// pages/list/list.js
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    status: 0,
    prodUrl: app.globalData.prodUrl
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    let _this = this;
    wx.setNavigationBarTitle({
      title: options.title
    })
    wx.request({
      url: app.globalData.prodUrl + 'web-pm/wx/pm/select_item_by_chassify',
      header: {
        'ydw-token': wx.getStorageSync('key').ydw_token
      },
      data: {
        bid_type: options.kid,
        bid_from: options.id ? options.id : ""
      },
      success: function(data) {
        //console.log(data.data)
        _this.setData({
          array: data.data.data
        })
      },
    });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})